Can we finally boot GW with A9LH?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Keylogger, May 24, 2016.

  1. Keylogger
    OP

    Keylogger GBAtemp Advanced Maniac

    Member
    1,742
    367
    May 3, 2006
    France
    Can we finally autoboot GW 4.0 launcher.dat with A9LH?
    I use Ctrbootmanager9 to boot Luma or D9 but can I add a new entry for GW??
     
  2. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,504
    6,095
    Apr 20, 2015
    United States
    Tigard, OR
    they use their own arm9loaderhax payload. not compatible with existing setups, you need to downgrade to 2.1 and install their own, and you'll be stuck with it.
     
    nxwing likes this.
  3. mvmiranda

    mvmiranda GBAtemp Maniac

    Member
    1,214
    419
    Oct 29, 2013
    Brazil
    Brazil, Sao Paulo
    Really!??
    Well, that kinda sucks! Doesn't it?
     
    AlucardjX likes this.
  4. AlucardjX

    AlucardjX GBAtemp Regular

    Member
    215
    37
    Mar 6, 2016
    Italy
    a lot if i can say a thing....
     
  5. aos10

    aos10 how i fotochop?

    Member
    3,290
    816
    Apr 10, 2012
    Saudi Arabia
    Even if i already have the otp files pre compiled?
     
  6. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,504
    6,095
    Apr 20, 2015
    United States
    Tigard, OR
    as it stands right now you have to go to 2.1 again, and install their own arm9loaderhax.
     
  7. aos10

    aos10 how i fotochop?

    Member
    3,290
    816
    Apr 10, 2012
    Saudi Arabia
    Hmm,as i remember,in a9lh I get the otp files then compile one of them then get back to sysnand9.2 then install the hax from the homebrew channel.
    Now in GW i need to install it on 2.1?
     
  8. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,504
    6,095
    Apr 20, 2015
    United States
    Tigard, OR
    yes you must be on 2.1 to install their a9lh. you won't be able to easily switch away from their fork either, so you'll be stuck with using GW only for now.
     
  9. stl25

    stl25 GBAtemp Advanced Fan

    Member
    972
    545
    Feb 3, 2008
    United States
    Here, there and everywhere
    Wait for GW to make a A9LH payload compatible with current A9LH. Going back to 2.1 and being stranded with GW A9LH (even if only temporary) is less than ideal.
     
  10. aos10

    aos10 how i fotochop?

    Member
    3,290
    816
    Apr 10, 2012
    Saudi Arabia
    Well...
    [​IMG]
     
  11. crimpshrine

    crimpshrine GBAtemp Regular

    Member
    166
    39
    Jun 18, 2014
    United States
    No, nothing has been publicly released yet. Anything you find out there right now is alpha/beta.
     
  12. Keylogger
    OP

    Keylogger GBAtemp Advanced Maniac

    Member
    1,742
    367
    May 3, 2006
    France
    Maybe we can have:
    -A9LH Sysnand
    -A9L GW Emunand

    Choose the one to boot with Luma? (Autoboot sysnand or emunand)
     
  13. astronautlevel

    astronautlevel Finding a reason, waiting for a miracle

    Member
    4,046
    5,091
    Jan 26, 2016
    United States
    That Nightly Site™
    The problem is that GW's payloads aren't compatible with existing implementations.

    That being said, it's possible to make an implementation that supports both. I may look into it if I feel like bricking later.
     
    20mark, leonmagnus99 and linuxares like this.
  14. sj33

    sj33 GBAtemp Addict

    Member
    2,805
    1,782
    Oct 22, 2013
    Japan
    The only realistic option is to have an EmuNAND with 9.2 installed and boot GW from that. You can even use Menuhax if you want to speed up the process.
     
  15. Hayleia

    Hayleia GBAtemp Maniac

    Member
    1,485
    1,136
    Feb 26, 2015
    France
    Well @liomajor already did it. But it basically had GW support hardcoded in it with a key. Which isn't ideal in my opinion (that would mean I can't put GW behind a password from a9lhay...).
    Or maybe I didn't get exactly what it did, not sure.
     
    astronautlevel likes this.
  16. astronautlevel

    astronautlevel Finding a reason, waiting for a miracle

    Member
    4,046
    5,091
    Jan 26, 2016
    United States
    That Nightly Site™
    I'm aware liomajor implemented it into an arm9loaderhax payload itself, but I was talking about implementing it into a chainloader.
     
    20mark, Temptress Cerise and Hayleia like this.
  17. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,114
    May 31, 2013
    Belarus
    Caves
    Well , tbh it's to be expected, as their intention is to not lose revenue and the cart has always had DRM lock down from the beginning, so the user is forced to use the red card for full functionality.

    I'm ditching the cart at the weekend and going the a9lh cfw solution. Only thing keeping me back was .3ds drag n drop and cheats, yet from the looks of things, stuff is gonna get messy.
     
    Last edited by retrofan_k, May 24, 2016
  18. sj33

    sj33 GBAtemp Addict

    Member
    2,805
    1,782
    Oct 22, 2013
    Japan
    People would be silly to install GW's own A9LH solution because it's basically a point of no return. Good luck returning that console back to a state where you can install scene standard implementations.
     
    mvmiranda, Hayleia and retrofan_k like this.
  19. astronautlevel

    astronautlevel Finding a reason, waiting for a miracle

    Member
    4,046
    5,091
    Jan 26, 2016
    United States
    That Nightly Site™
    Nevermind I'm tired.
     
    Last edited by astronautlevel, May 24, 2016
  20. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,576
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Don't forget to mention, if you downgrade using their tool on the New3DS, it will brick your system.